Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.statistic
Class SingleStatistic<P extends StatisticPoint>

    java.lang.Object
      org.optaplanner.benchmark.impl.statistic.SingleStatistic<P>

Direct Known Subclasses:
  BestScoreSingleStatistic, BestSolutionMutationSingleStatistic, CalculateCountSingleStatistic, MemoryUseSingleStatistic, MoveCountPerStepSingleStatistic, StepScoreSingleStatistic

    public abstract class SingleStatistic<P extends StatisticPoint>

extends Object

1 statistic of `SingleBenchmarkResult`

Field Summary
`protected SingleBenchmarkResult` | `singleBenchmarkResult`
`protected StatisticType` | `statisticType`

Constructor Summary
`protected` | `SingleStatistic(SingleBenchmarkResult singleBenchmarkResult, StatisticType statisticType)`

Method Summary
`abstract void` | `close(Solver solver)`
`protected abstract P` | `createPointFromCsvLine(ScoreDefinition scoreDefinition, List<String> csvLine)`
`File` | `getCsvFile()`
`String` | `getCsvFilePath()`
`protected abstract String` | `getCsvHeader()`
`abstract List<P>` | `getPointList()`
`StatisticType` | `getStatisticType()`
`abstract void` | `open(Solver solver)`
`void` | `readCsvStatisticFile()`
`abstract void` | `setPointList(List<P> pointList)`
`void` | `writeCsvStatisticFile()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### singleBenchmarkResult

    protected final SingleBenchmarkResult singleBenchmarkResult

### statisticType

    protected final StatisticType statisticType

Constructor Detail

### SingleStatistic

    protected SingleStatistic(SingleBenchmarkResult singleBenchmarkResult,
                              StatisticType statisticType)

Method Detail

### getStatisticType

    public StatisticType getStatisticType()

### getPointList

    public abstract List<P> getPointList()

### setPointList

    public abstract void setPointList(List<P> pointList)

### getCsvFilePath

    public String getCsvFilePath()

### getCsvFile

    public File getCsvFile()

### open

    public abstract void open(Solver solver)

### close

    public abstract void close(Solver solver)

### getCsvHeader

    protected abstract String getCsvHeader()

### writeCsvStatisticFile

    public void writeCsvStatisticFile()

### readCsvStatisticFile

    public void readCsvStatisticFile()

### createPointFromCsvLine

    protected abstract P createPointFromCsvLine(ScoreDefinition scoreDefinition,
                                                List<String> csvLine)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.